*  Function:   Yrs_old()
*  Author:     Henry C. Yau
*  Version:    Clipper Summer '87'
*  Note(s):    The function does a calculation of the age
*              in year from birthdate.
*

FUNCTION Yrs_old
PARAMETERS born_date
year_diff   = YEAR(DATE()) - YEAR(born_date)
month_diff  = MONTH(DATE()) - MONTH(born_date)
day_diff    = DAY(DATE()) - DAY(born_date)
plusyear    = 0

IF (year_diff > 0 .AND. month_diff = 0 .AND. day_diff >= 0);
  .OR.;
   (year_diff > 0 .AND. month_diff > 0)
  plusyear = 1
ELSE
  plusyear = 0
ENDIF

IF plusyear = 1
  age = (YEAR(DATE()) - YEAR(born_date))
  ELSE
  age = (YEAR(DATE()) - YEAR(born_date)) - 1
ENDIF
RETURN(age)
